import axios from 'axios';
import {
  ImageCheckDataListFilter,
  ImageCheckPageRes,
  ManualConfirmDataListFilter,
  ManualConfirmPageRes,
  ResultCheckDataListFilter,
} from './types/check';

// 人工确认查询
export function getManualConfirmDataList(
  params: ManualConfirmDataListFilter
): Promise<ManualConfirmPageRes> {
  return axios.post('/api/manualConfirmDataList', {}, { params });
}

// 图片检查查询
export function getImageCheckDataList(
  params: ImageCheckDataListFilter
): Promise<ImageCheckPageRes> {
  return axios.post('/api/imageCheckDataList', {}, { params });
}

// 识别结果查询
export function getResultCheckDataList(
  params: ResultCheckDataListFilter
): Promise<number[]> {
  return axios.post('/api/recognitionResultDataList', {}, { params });
}
